Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.mbeans
Interface AtnSecurityProviderMBean

All Superinterfaces:
  com.bea.p13n.security.internal.AtnSecurityProviderConfig, ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface AtnSecurityProviderMBean
extends ServiceConfigurationMBean, com.bea.p13n.security.internal.AtnSecurityProviderConfig

Configuration for Portal authentication providers. Note that none of the parameters for the are dynamic; they all require the user to restart the server if changed.

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Fields inherited from interface com.bea.p13n.security.internal.AtnSecurityProviderConfig
`DEFAULT_GROUP_CREATE_ROLES, DEFAULT_GROUP_DELETE_ROLES, DEFAULT_GROUP_READ_ROLES, DEFAULT_GROUP_UPDATE_ROLES, DEFAULT_PREDICATE_INPUT_TEXT_ENABLED, DEFAULT_USER_CREATE_ROLES, DEFAULT_USER_DELETE_ROLES, DEFAULT_USER_READ_ROLES, DEFAULT_USER_UPDATE_ROLES`

Method Summary
`String[]` | `getGroupCreateRoles()`
`String[]` | `getGroupDeleteRoles()`
`String[]` | `getGroupReadRoles()`
`String[]` | `getGroupUpdateRoles()`
`boolean` | `getPredicateTextInputEnabled()` All security provider properties
`String[]` | `getProtectedGroups()` No defaults
`String[]` | `getProtectedUsers()` No defaults
`String[]` | `getReservedGroups()` No defaults
`String[]` | `getReservedUsers()` No defaults
`String[]` | `getUserCreateRoles()`
`String[]` | `getUserDeleteRoles()`
`String[]` | `getUserReadRoles()`
`String[]` | `getUserUpdateRoles()`
`void` | `setGroupCreateRoles(String[] roles)`
`void` | `setGroupDeleteRoles(String[] roles)`
`void` | `setGroupReadRoles(String[] roles)`
`void` | `setGroupUpdateRoles(String[] roles)`
`void` | `setPredicateTextInputEnabled(boolean enabled)`
`void` | `setProtectedGroups(String[] names)`
`void` | `setProtectedUsers(String[] names)`
`void` | `setReservedGroups(String[] names)`
`void` | `setReservedUsers(String[] names)`
`void` | `setUserCreateRoles(String[] roles)`
`void` | `setUserDeleteRoles(String[] roles)`
`void` | `setUserReadRoles(String[] roles)`
`void` | `setUserUpdateRoles(String[] roles)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getPredicateTextInputEnabled

    public boolean getPredicateTextInputEnabled()

  All security provider properties

  Specified by:
    `getPredicateTextInputEnabled` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### setPredicateTextInputEnabled

    public void setPredicateTextInputEnabled(boolean enabled)

### getGroupCreateRoles

    public String[] getGroupCreateRoles()

  Specified by:
    `getGroupCreateRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`
  MBean Attribute Default Value:
    DEFAULT_GROUP_CREATE_ROLES

### setGroupCreateRoles

    public void setGroupCreateRoles(String[] roles)

### getGroupReadRoles

    public String[] getGroupReadRoles()

  Specified by:
    `getGroupReadRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`
  MBean Attribute Default Value:
    DEFAULT_GROUP_READ_ROLES

### setGroupReadRoles

    public void setGroupReadRoles(String[] roles)

### getGroupUpdateRoles

    public String[] getGroupUpdateRoles()

  Specified by:
    `getGroupUpdateRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`
  MBean Attribute Default Value:
    DEFAULT_GROUP_UPDATE_ROLES

### setGroupUpdateRoles

    public void setGroupUpdateRoles(String[] roles)

### getGroupDeleteRoles

    public String[] getGroupDeleteRoles()

  Specified by:
    `getGroupDeleteRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`
  MBean Attribute Default Value:
    DEFAULT_GROUP_DELETE_ROLES

### setGroupDeleteRoles

    public void setGroupDeleteRoles(String[] roles)

### getUserCreateRoles

    public String[] getUserCreateRoles()

  Specified by:
    `getUserCreateRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`
  MBean Attribute Default Value:
    DEFAULT_USER_CREATE_ROLES

### setUserCreateRoles

    public void setUserCreateRoles(String[] roles)

### getUserReadRoles

    public String[] getUserReadRoles()

  Specified by:
    `getUserReadRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`
  MBean Attribute Default Value:
    DEFAULT_USER_READ_ROLES

### setUserReadRoles

    public void setUserReadRoles(String[] roles)

### getUserUpdateRoles

    public String[] getUserUpdateRoles()

  Specified by:
    `getUserUpdateRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`
  MBean Attribute Default Value:
    DEFAULT_USER_UPDATE_ROLES

### setUserUpdateRoles

    public void setUserUpdateRoles(String[] roles)

### getUserDeleteRoles

    public String[] getUserDeleteRoles()

  Specified by:
    `getUserDeleteRoles` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`
  MBean Attribute Default Value:
    DEFAULT_USER_DELETE_ROLES

### setUserDeleteRoles

    public void setUserDeleteRoles(String[] roles)

### getReservedUsers

    public String[] getReservedUsers()

  No defaults

  Specified by:
    `getReservedUsers` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### setReservedUsers

    public void setReservedUsers(String[] names)

### getProtectedUsers

    public String[] getProtectedUsers()

  No defaults

  Specified by:
    `getProtectedUsers` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### setProtectedUsers

    public void setProtectedUsers(String[] names)

### getReservedGroups

    public String[] getReservedGroups()

  No defaults

  Specified by:
    `getReservedGroups` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### setReservedGroups

    public void setReservedGroups(String[] names)

### getProtectedGroups

    public String[] getProtectedGroups()

  No defaults

  Specified by:
    `getProtectedGroups` in interface `com.bea.p13n.security.internal.AtnSecurityProviderConfig`

### setProtectedGroups

    public void setProtectedGroups(String[] names)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved